Updated date:

How to Install Old Version Apps in iPhone 3G and 3GS Using Appsync and iTools

Alfred is a long-time teacher and computer enthusiast who works with and troubleshoots a wide range of computing devices.

If you have been frustrated trying to install old version apps such as Whatsapp, Facebook and Viber in iPhone 3G and 3GS, do not be alarmed. For compatibility and other reasons, old apps stop working in both old and new iPhone firmware.

Apple recommends you ditch your old iPhone hardware for a new one and replace the old software with new releases, and app developers too, demand you upgrade your apps for security reasons.

It is actually a catchup game for everyone involved.

When time is up, Whatsapp and other old version apps will stop working in iPhones

When time is up, Whatsapp and other old version apps will stop working in iPhones

As reasonable as these explanations may sound, not all consumers want to shop for new iPhone models or install new IOS firmware. In any case, these phones seem to work just fine, only they can only install firmware versions signed by Apple. For example, iPhone 3GS can only install up to IOS firmware 6.1.6 and iPhone 3G up to IOS firmware 4.2.1.

How to Bypass the Limitations

You need not shed tears though, especially if you are a little tech aware and can weave your way around iPhone software.

You can install old apps by following these steps:

  • Jailbreak your iPhone
  • Install Appsync 4X from Cydia repository
  • Download old version apps and install them using iTools

You will surely get your old apps working again!

1. Jailbreak Your iPhone

First and foremost, have your iPhone jailbroken.

Jailbreaking will install Cydia into your iPhone 3G or 3GS home screen. Cydia includes resources which will tweak the iPhone into accepting third-party apps like Appsync and the errant apps you wish to install.

Now, if your iPhone is already jailbroken, well and good. If not, head over to the iPhone jailbreak page below and follow the outlined procedure to jailbreak it.

Don't fret over the IOS version used in the tutorial. Jailbreak procedures in iPhones almost work the same way.

Old version apps running in iPhone 3G

Old version apps running in iPhone 3G

2. Install Appsync 4.X from Cydia

On its own, a jailbroken iPhone running old iPhone firmware will not allow installation of third party and old version apps. To circumvent this problem, you must install an app called Appsync 4.X.

When you install Appsync, you will be able to download and install apps of your choice by overriding iPhone limitations.

There are particular Cydia related repositories from where you can download and install Appsync.

A few such repositories include:

  • (cydia.iphonecake.com)
  • (repo.appvv.com)
  • (appaddict.org/repo)
  • (repocydia.com)

To install Appsync;

  • Start your iPhone tap the Cydia app in your iPhone.
  • Tap Manage.
  • You will now see the repository page.Tap Edit.

This opens up the option to add a repository of your choice.

  • Tap Add.
  • You will now be provided with a search box, where you will input your favorite repository.
  • Input the repository of your choice.

For this illustration, I have used iPhonecake repository. (http://cydia.iphonecake.com)

  • Tap Add source.

You will receive an error message warning you about copyright issues and the possibility that apps from that source are unstable.

  • Go ahead and tap Add anyway.

The repository that you have chosen will now install.

Depending on repo availability and internet speed, this may take a minute or so.

Remember to try different repositories if one or the other does not respond.

Tap Sources

Tap Sources

Tap Edit

Tap Edit

Tap Add

Tap Add

input iPhonecake URL

input iPhonecake URL

  • When iPhonecake installation is done, go back to Cydia>Manage>Sources.
  • Your new repo, Iphonecake should now be listed.
  • Tap on it and scroll through.
  • Look for the Appsync in the list.
  • If the repository appears blank, don't panic.
  • Tap Changes and then the Refresh button.
  • The iPhonecake repository should be populated shortly and you will be good to go.

The Appsync you select should be compatible with your IOS.

For example, Appsync 4.0+ should work with most IOS 4X firmware versions.

  • Tap to install Appsync.
  • After installation is done, you should see a green tick beside the Appsync string.
iPhonecake repository is now listed

iPhonecake repository is now listed

The tick symbol besides Appsync shows it is now installed

The tick symbol besides Appsync shows it is now installed

3. Install Old Apps Using iTools

Now that you have installed Appsync app from Cydia, next install your apps, using iTools.

Download and install the latest version of iTools on your computer.

iTools

iTools

  • Run the iTools.exe file.
  • Then Connect your iPhone to the computer.
  • It should show up in iTools.
  • Inside iTools, select Application from the left pane - just below the iPhone name.

You should now get your old apps ready for installation.

NOTE: You can Google for old version apps from a number of websites.

iPhone apps are identified by the .ipa extension.

Two popular repositories for old and free version apps are:

  • appcake from iPhonecake
  • iPhoneApplist.

You may have your own preferred sources of .ipa files. Feel free to use them and download the necessary apps.

  • Once ready, drag and drop your iPhone apps onto the Application panel on the right pane of iTools.

Alternatively, choose Install from the Menu bar and browse for the apps.

how-to-install-old-iphone-apps-in-ios-3x-and-4x
  • The apps will install automatically.
A list of apps that installed using iTools

A list of apps that installed using iTools

© 2013 Alfred Amuno

Comments

tutuappplus on September 03, 2019:

Hello. I recommend you TutuApp. An application that owns a lot of games and apps for iOS (https://tutuappplus.net/). You can download and install here

Kerem Kececi on December 30, 2018:

Hello,

Would you please share the .ipa file link for Yandex Navigator for iphone? Any help would be appreciated, many thanks in advance...

Best regards,

kanadavadekar from India on September 26, 2018:

previous thank you for the article. WhatsApp for iPhone you can download here: http://www.whatsapp2019.net/

Raju on July 12, 2018:

Please sir I have a old iPhone I don't know a new iPhone iwant a old version in my iPhone 3GS ok sir Ian from India

msofficesetupkey on May 24, 2018:

Which Version Is best

Alfred Amuno (author) from Kampala on August 30, 2016:

Caroline, just as it has been possible to install Whatsapp in older IOS firmware you will still be able to do the same with IOS 6, once WhatsApp Inc throws it in the dustbin. All you will have to do is jailbreak your iPhone and follow the tips above to get this done.

caroline on August 30, 2016:

Hi, guys!

I got this second-hand 3GS/IOS 6 and I'm having a problem with whatsapp number registration.

Whatsapp will no longer offer support for this phone by the end of this year, so they don't allow me to register a new number. I can only register in the app with the number later used.

So my question is: does this jailbreaking for installing old app versions solve my problem?

thanks in advance!

Alfred Amuno (author) from Kampala on May 31, 2016:

Dennis, I need to get an iPhone 3G and get this thing working again, before I can be certain. In the meantime, try whited00r and see if it helps, but remember the downside of speed while at this.

Alfred Amuno (author) from Kampala on May 31, 2016:

Sorry Dennis for the misfortune.

Here is a solution for you though. If iPhonecake only lists the unified version of Appsync, you may want to look elsewhere for the old version.

http://repocydia.com

If this does not work, let me know.

Dennis on May 31, 2016:

Hi, I am trying to install Whatsapp on my iphone 3G for the last week now without any succes. I followed you explenation and jailbroke my iphone and installed iphonecake. However, I cannot find appsync for 4.o+ only appsync unified is offered and this one only runs on IOS 5. Can you help me out?

Alfred Amuno (author) from Kampala on November 23, 2015:

You are right Hugo, iPhone 3Gs can have Whatsapp installed without jailbreaking when running IOS 6.0+, but it's only that. Everything else below IOS 6.0 needs jailbreaking. Maybe I should have specified that, and thanks.

Hugo on November 23, 2015:

Actually the iPhone 3GS can install WhatsApp without jailbreaking. It needs iOS 6.0 or later!

Related Articles